from microbit import *
import radio

radio.config(group=1)
radio.on()

def send_pop(bar):
    msg = (bar * 100) + 20
    radio.send(str(msg))

def send_push(bar, n):
    msg = (bar * 100) + 10 + n
    radio.send(str(msg))

def hanoi(n, a, b):
    if n > 1:
        hanoi(n-1, a, 6-a-b)
    display.show(Image.HEART)
    sleep(1000)
    display.show(str(n))
    sleep(1000)
    display.show(chr(ord('@')+a))
    sleep(1000)
    display.show(Image.ARROW_S)
    sleep(1000)
    display.show(chr(ord('@')+b))
    sleep(1000)
    display.clear()
    sleep(1000)
    send_pop(a)
    send_push(b, n)
    if n > 1:
        hanoi(n-1, 6-a-b, b)

while True:
    if button_a.was_pressed():
        n = 3
        display.show(str(n))
        sleep(1000)
        display.scroll("Mai")
        hanoi(n, 1, 3)
        display.scroll("End")
    if button_b.was_pressed():
        n = n + 1
        display.show(str(n))
        sleep(1000)
        display.scroll("Mai")
        hanoi(n, 1, 3)
        display.scroll("End")