from microbit import *
import radio

radio.config(group=1)
radio.on()

mynum = 3

class Bar:
    def __init__(self):
        self.stk = [0, 0, 0, 0, 0]
        self.sp = 0

    def diskonoff(self, n, y, l):
        dr = [[2, 3], [1, 4], [0, 5]]
        for i in range(dr[n-1][0], dr[n-1][1]):
            display.set_pixel(i, y, l)

    def push(self, n):
        self.stk[self.sp] = n
        self.sp = self.sp + 1
        for i in range(5 - self.sp):
            self.diskonoff(n, i, 9)
            sleep(500)
            self.diskonoff(n, i, 0)
        self.diskonoff(n, 5 - self.sp, 9)

    def pop(self):
        if self.sp > 0:
            self.sp = self.sp - 1
            n = self.stk[self.sp]
            self.stk[self.sp] = 0
            self.diskonoff(n, 4-self.sp, 0)

bar = Bar()
while True:
    if button_a.is_pressed() and not button_b.is_pressed():
        mynum = mynum + 1
        if mynum == 4:
            mynum = 1
        display.show(str(mynum))
        sleep(500)
    if button_a.is_pressed() and button_b.is_pressed():
        display.clear()
        if mynum == 1:
            bar.push(3)
            bar.push(2)
            bar.push(1)
    b = radio.receive()
    if b != None:
        data = int(b)
        if int(data / 100) == mynum:
            cmd  = int(data % 100 / 10)
            n = data % 10
            if cmd == 1:
                bar.push(n)
            elif cmd == 2:
                bar.pop()
    display.set_pixel(0, mynum - 1, 9)